﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Braintree
{
    public enum ValidationErrorCode
    {
        ADDRESS_CANNOT_BE_BLANK = 81801,
        ADDRESS_COMPANY_IS_TOO_LONG = 81802,
        ADDRESS_COUNTRY_NAME_IS_NOT_ACCEPTED = 91803,
        ADDRESS_EXTENDED_ADDRESS_IS_TOO_LONG = 81804,
        ADDRESS_FIRST_NAME_IS_TOO_LONG = 81805,
        ADDRESS_LAST_NAME_IS_TOO_LONG = 81806,
        ADDRESS_LOCALITY_IS_TOO_LONG = 81807,
        ADDRESS_POSTAL_CODE_IS_REQUIRED = 81808,
        ADDRESS_POSTAL_CODE_IS_TOO_LONG = 81809,
        ADDRESS_REGION_IS_TOO_LONG = 81810,
        ADDRESS_STREET_ADDRESS_IS_REQUIRED = 81811,
        ADDRESS_STREET_ADDRESS_IS_TOO_LONG = 81812,

        CREDIT_CARD_BILLING_ADDRESS_CONFLICT = 91701,
        CREDIT_CARD_BILLING_ADDRESS_ID_IS_INVALID = 91702,
        CREDIT_CARD_CARDHOLDER_NAME_IS_TOO_LONG = 81723,
        CREDIT_CARD_CREDIT_CARD_TYPE_IS_NOT_ACCEPTED = 81703,
        CREDIT_CARD_CUSTOMER_ID_IS_REQUIRED = 91704,
        CREDIT_CARD_CUSTOMER_ID_IS_INVALID = 91705,
        CREDIT_CARD_CVV_IS_REQUIRED = 81706,
        CREDIT_CARD_CVV_IS_INVALID = 81707,
        CREDIT_CARD_EXPIRATION_DATE_CONFLICT = 91708,
        CREDIT_CARD_EXPIRATION_DATE_IS_REQUIRED = 81709,
        CREDIT_CARD_EXPIRATION_DATE_IS_INVALID = 81710,
        CREDIT_CARD_EXPIRATION_DATE_YEAR_IS_INVALID = 81711,
        CREDIT_CARD_EXPIRATION_MONTH_IS_INVALID = 81712,
        CREDIT_CARD_EXPIRATION_YEAR_IS_INVALID = 81713,
        CREDIT_CARD_NUMBER_IS_REQUIRED = 81714,
        CREDIT_CARD_NUMBER_IS_INVALID = 81715,
        CREDIT_CARD_NUMBER_HAS_INVALID_LENGTH = 81716,
        CREDIT_CARD_NUMBER_MUST_BE_TEST_NUMBER = 81717,
        CREDIT_CARD_TOKEN_INVALID = 91718,
        CREDIT_CARD_TOKEN_IS_IN_USE = 91719,
        CREDIT_CARD_TOKEN_IS_TOO_LONG = 91720,
        CREDIT_CARD_TOKEN_IS_NOT_ALLOWED = 91721,
        CREDIT_CARD_TOKEN_IS_REQUIRED = 91722,

        CUSTOMER_COMPANYIS_TOO_LONG = 81601,
        CUSTOMER_CUSTOM_FIELD_IS_INVALID = 91602,
        CUSTOMER_CUSTOM_FIELD_IS_TOO_LONG = 81603,
        CUSTOMER_EMAIL_IS_INVALID = 81604,
        CUSTOMER_EMAIL_IS_TOO_LONG = 81605,
        CUSTOMER_EMAIL_IS_REQUIRED = 81606,
        CUSTOMER_FAX_IS_TOO_LONG = 81607,
        CUSTOMER_FIRST_NAME_IS_TOO_LONG = 81608,
        CUSTOMER_ID_IS_IN_USE = 91609,
        CUSTOMER_ID_IS_INVAILD = 91610,
        CUSTOMER_ID_IS_NOT_ALLOWED = 91611,
        CUSTOMER_ID_IS_TOO_LONG = 91612,
        CUSTOMER_LAST_NAME_IS_TOO_LONG = 81613,
        CUSTOMER_PHONE_IS_TOO_LONG = 81614,
        CUSTOMER_WEBSITE_IS_TOO_LONG = 81615,
        CUSTOMER_WEBSITE_IS_INVALID = 81616,

        SUBSCRIPTION_CANNOT_EDIT_CANCELED_SUBSCRIPTION = 81901,
        SUBSCRIPTION_ID_IS_IN_USE = 81902,
        SUBSCRIPTION_PRICE_CANNOT_BE_BLANK = 81903,
        SUBSCRIPTION_PRICE_FORMAT_IS_INVALID = 81904,
        SUBSCRIPTION_STATUS_IS_CANCELED = 81905,
        SUBSCRIPTION_TOKEN_FORMAT_IS_INVALID = 81906,
        SUBSCRIPTION_TRIAL_DURATION_FORMAT_IS_INVALID = 81907,
        SUBSCRIPTION_TRIAL_DURATION_IS_REQUIRED = 81908,
        SUBSCRIPTION_TRIAL_DURATION_UNIT_IS_INVALID = 81909,

        TRANSACTION_AMOUNT_CANNOT_BE_NEGATIVE = 81501,
        TRANSACTION_AMOUNT_IS_REQUIRED = 81502,
        TRANSACTION_AMOUNT_IS_INVALID = 81503,
        TRANSACTION_CANNOT_BE_VOIDED = 91504,
        TRANSACTION_CANNOT_REFUND_CREDIT = 91505,
        TRANSACTION_CANNOT_REFUND_UNLESS_SETTLED = 91506,
        TRANSACTION_CANNOT_SUBMIT_FOR_SETTLEMENT = 91507,
        TRANSACTION_CREDIT_CARD_IS_REQUIRED = 91508,
        TRANSACTION_CUSTOM_FIELD_IS_INVALID = 91526,
        TRANSACTION_CUSTOMER_DEFAULT_PAYMENT_METHOD_CARD_TYPE_IS_NOT_ACCEPTED = 81509,
        TRANSACTION_CUSTOMER_ID_IS_INVALID = 91510,
        TRANSACTION_CUSTOMER_DOES_NOT_HAVE_CREDIT_CARD = 91511,
        TRANSACTION_HAS_ALREADY_BEEN_REFUNDED = 91512,
        TRANSACTION_MERCHANT_ACCOUNT_NAME_IS_INVALID = 91513,
        TRANSACTION_MERCHANT_ACCOUNT_IS_SUSPENDED = 91514,
        TRANSACTION_ORDER_ID_IS_TOO_LONG = 91501,
        TRANSACTION_PAYMENT_METHOD_CONFLICT = 91515,
        TRANSACTION_PAYMENT_METHOD_DOES_NOT_BELONG_TO_CUSTOMER = 91516,
        TRANSACTION_PAYMENT_METHOD_TOKEN_CARD_TYPE_IS_NOT_ACCEPTED = 91517,
        TRANSACTION_PAYMENT_METHOD_TOKEN_IS_INVALID = 91518,
        TRANSACTION_REFUND_AMOUNT_IS_TOO_LARGE = 91521,
        TRANSACTION_SETTLEMENT_AMOUNT_IS_TOO_LARGE = 91522,
        TRANSACTION_TYPE_IS_INVALID = 91523,
        TRANSACTION_TYPE_IS_REQUIRED = 91524,
        TRANSACTION_OPTIONS_VAULT_IS_DISABLED = 91525
    }
}
